﻿body {
    color: #333333;
    margin: 0;
    padding: 0;
    background: white;
}

.telerik-custom-notification {
    z-index: 10000;
}

.blazored-typeahead {
    border: 1px solid #ced4da !important;
}

.blazored-typeahead__input-mask-wrapper--disabled {
    cursor: default !important;
    height: 0.5rem !important;
    padding: 1.8rem .25rem;
    margin-top: -16px;
    margin-left: -4px;
    margin-right: 2px;
    padding-right: 60px;
}

.blazored-typeahead__input-icon--disabled {
    cursor: default !important;
    /*height: 1.5rem !important;*/
    /*padding: 1.5rem .25rem !important;*/
    margin-top: -16px !important;
    margin-left: -4px !important;
    padding-right: 40px !important;
}

.blazored-typeahead__clear, .blazored-typeahead__clear:hover {
    color: #353A40 !important;
    margin-top: -14px;
}

.form-floating > .blazored-typeahead {
    height: calc(3.5rem + 2px);
    padding: 1rem .25rem;
}

.form-floating > .blazored-typeahead ~ label {
    opacity: .65;
    transform: scale(.85) translateY(-.6rem) translateX(.15rem)
}

.link-button > button, .link-button > button:focus {
    color: #333333;
    background-color: transparent !important;
    border: none !important;
    outline: none !important;
    box-shadow: none;
}

.full-screen-container {
    position: fixed;
    z-index: 999999;
    height: 2em;
    width: 2em;
    overflow: visible;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    /*background-color: rgba(0,0,0,0.3);*/
    background-color: white;
}

.full-screen-spinner {
    flex-basis: 25%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 50%;
    left: 50%;
    margin-left: -20px;
}

.scrollToTop {
    padding: 9px 12px 9px 12px;
    text-align: center;
    background: whiteSmoke;
    font-weight: bold;
    color: white;
    background-color: #333333;
    text-decoration: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    border-radius: 5px;
    opacity: 0.5;
    z-index: 10000;
}

    .scrollToTop:hover, .scrollToTop:focus {
        color: white;
        text-decoration: none;
    }

.cursor-pointer {
    cursor: pointer;
}

h1 {
    font-size: 20px !important;
    font-weight: 500 !important;
    margin: 0 0 8px 0;
    padding: 10px 10px 10px 10px;
    background-color: #F7F7F7;
    width: 100%;
    text-align: center;
    border: 1px solid #DFDFDF;
    border-radius: 0.25rem;
}

h2 {
    font-size: 20px !important;
    font-weight: 500 !important;
    margin-bottom: 0 !important;
}

h3 {
    font-size: inherit !important;
    font-weight: 500 !important;
    margin-bottom: 0 !important;
}

.link-button > button, .link-button > button:focus {
    color: #333333;
    background-color: transparent !important;
    border: none !important;
    outline: none !important;
    box-shadow: none;
}

a.silent, a.silent:hover {
    text-decoration: none;
}

.num-pad {
    width: 100% !important;
}